Package org.springframework.security.web.authentication

# Class NoOpAuthenticationEntryPoint

java.lang.Object
org.springframework.security.web.authentication.NoOpAuthenticationEntryPoint

All Implemented Interfaces:
  `AuthenticationEntryPoint`

public class NoOpAuthenticationEntryPoint extends Object implements AuthenticationEntryPoint
An `AuthenticationEntryPoint` implementation that does nothing.

Since:
  6.2

## Constructor Summary

Constructors
Constructor
Description
`NoOpAuthenticationEntryPoint()`

## Method Summary

Modifier and Type
Method
Description
`void`
`commence(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.core.AuthenticationException authException)`
Commences an authentication scheme.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NoOpAuthenticationEntryPoint

public NoOpAuthenticationEntryPoint()

## Method Details

### commence

public void commence(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.core.AuthenticationException authException) throws IOException, jakarta.servlet.ServletException
Description copied from interface: `AuthenticationEntryPoint`
Commences an authentication scheme.

`ExceptionTranslationFilter` will populate the `HttpSession` attribute named `AbstractAuthenticationProcessingFilter.SPRING_SECURITY_SAVED_REQUEST_KEY` with the requested target URL before calling this method.

Implementations should modify the headers on the `ServletResponse` as necessary to commence the authentication process.

Specified by:
  `commence` in interface `AuthenticationEntryPoint`
Parameters:
  `request` - that resulted in an `AuthenticationException`
  `response` - so that the user agent can begin authentication
  `authException` - that caused the invocation
Throws:
  `IOException`
  `jakarta.servlet.ServletException`